[SCM] OCE packaging branch, upstream, updated. OCE-0.6.0-230-g17bea23

davyw davy.wouters at gmail.com
Fri Feb 24 18:50:27 UTC 2012


The following commit has been merged in the upstream branch:
commit 9e516481dcbaf52fcf92071e2344ab1ef28caee3
Author: davyw <davy.wouters at gmail.com>
Date:   Sun Jan 15 14:06:32 2012 +0100

    Fixes ambiguity errors on bcc32 compiler for 'BRepLib_MakeEdge'.
    ('BRepLib_MakeEdge::operator TopoDS_Edge()' and 'BRepLib_MakeShape::operator TopoDS_Shape')

diff --git a/src/BRepFill/BRepFill.cxx b/src/BRepFill/BRepFill.cxx
index 591af79..0800066 100644
--- a/src/BRepFill/BRepFill.cxx
+++ b/src/BRepFill/BRepFill.cxx
@@ -173,14 +173,14 @@ static void TrimEdge (const TopoDS_Edge&              CurrentEdge,
     for (j=1; j<=ndec; j++) {
       // morceau d'edge  
       m1 = (CutValues.Value(j)-t0)*(last-first)/(t1-t0)+first;
-      TopoDS_Edge CutE = BRepLib_MakeEdge(C,V0,Vbid,m0,m1);
+      TopoDS_Edge CutE = (TopoDS_Edge) BRepLib_MakeEdge(C,V0,Vbid,m0,m1);
       CutE.Orientation(CurrentOrient);
       S.Append(CutE);
       m0 = m1;
       V0 = TopExp::LastVertex(CutE);
       if (j==ndec) {
 	// dernier morceau
-	TopoDS_Edge LastE = BRepLib_MakeEdge(C,V0,Vl,m0,last);
+	TopoDS_Edge LastE = (TopoDS_Edge) BRepLib_MakeEdge(C,V0,Vl,m0,last);
 	LastE.Orientation(CurrentOrient);
 	S.Append(LastE);
       }
@@ -193,14 +193,14 @@ static void TrimEdge (const TopoDS_Edge&              CurrentEdge,
     for (j=ndec; j>=1; j--) {
       // morceau d'edge  
       m0 = (CutValues.Value(j)-t0)*(last-first)/(t1-t0)+first;
-      TopoDS_Edge CutE = BRepLib_MakeEdge(C,Vbid,V1,m0,m1);
+      TopoDS_Edge CutE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vbid,V1,m0,m1);
       CutE.Orientation(CurrentOrient);
       S.Append(CutE);
       m1 = m0;
       V1 = TopExp::FirstVertex(CutE);
       if (j==1) {
 	// dernier morceau
-	TopoDS_Edge LastE = BRepLib_MakeEdge(C,Vf,V1,first,m1);
+	TopoDS_Edge LastE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vf,V1,first,m1);
 	LastE.Orientation(CurrentOrient);
 	S.Append(LastE);
       }
diff --git a/src/BRepFill/BRepFill_CompatibleWires.cxx b/src/BRepFill/BRepFill_CompatibleWires.cxx
index a1a23a8..560b129 100644
--- a/src/BRepFill/BRepFill_CompatibleWires.cxx
+++ b/src/BRepFill/BRepFill_CompatibleWires.cxx
@@ -248,14 +248,14 @@ static void TrimEdge (const TopoDS_Edge&              CurrentEdge,
     for (j=1; j<=ndec; j++) {
       // morceau d'edge  
       m1 = (CutValues.Value(j)-t0)*(last-first)/(t1-t0)+first;
-      TopoDS_Edge CutE = BRepLib_MakeEdge(C,V0,Vbid,m0,m1);
+      TopoDS_Edge CutE = (TopoDS_Edge) BRepLib_MakeEdge(C,V0,Vbid,m0,m1);
       CutE.Orientation(CurrentOrient);
       S.Append(CutE);
       m0 = m1;
       V0 = TopExp::LastVertex(CutE);
       if (j==ndec) {
 	// dernier morceau
-	TopoDS_Edge LastE = BRepLib_MakeEdge(C,V0,Vl,m0,last);
+	TopoDS_Edge LastE = (TopoDS_Edge) BRepLib_MakeEdge(C,V0,Vl,m0,last);
 	LastE.Orientation(CurrentOrient);
 	S.Append(LastE);
       }
@@ -268,14 +268,14 @@ static void TrimEdge (const TopoDS_Edge&              CurrentEdge,
     for (j=ndec; j>=1; j--) {
       // morceau d'edge  
       m0 = (CutValues.Value(j)-t0)*(last-first)/(t1-t0)+first;
-      TopoDS_Edge CutE = BRepLib_MakeEdge(C,Vbid,V1,m0,m1);
+      TopoDS_Edge CutE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vbid,V1,m0,m1);
       CutE.Orientation(CurrentOrient);
       S.Append(CutE);
       m1 = m0;
       V1 = TopExp::FirstVertex(CutE);
       if (j==1) {
 	// dernier morceau
-	TopoDS_Edge LastE = BRepLib_MakeEdge(C,Vf,V1,first,m1);
+	TopoDS_Edge LastE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vf,V1,first,m1);
 	LastE.Orientation(CurrentOrient);
 	S.Append(LastE);
       }
@@ -373,7 +373,7 @@ static Standard_Boolean EdgeIntersectOnWire (const gp_Pnt& P1,
   Standard_Real diag = BP1.Distance(BP2);
   Standard_Real dernierparam = diag;
   BRepLib_MakeEdge ME(droite,0.,dernierparam);
-  TopoDS_Edge ECur = BRepLib_MakeEdge(droite,0.,P1.Distance(P2));
+  TopoDS_Edge ECur = (TopoDS_Edge) BRepLib_MakeEdge(droite,0.,P1.Distance(P2));
 
   // calcul de l'intersection par BRepExtrema (point de distance mini)
   BRepExtrema_DistShapeShape DSS(ME.Edge(),W);
diff --git a/src/BRepFill/BRepFill_Evolved.cxx b/src/BRepFill/BRepFill_Evolved.cxx
index 90621ff..5f4b691 100644
--- a/src/BRepFill/BRepFill_Evolved.cxx
+++ b/src/BRepFill/BRepFill_Evolved.cxx
@@ -2559,7 +2559,7 @@ static void AddDegeneratedEdge(TopoDS_Face& F,
 	  Handle(Geom2d_Line) C2d = new Geom2d_Line(PrevP,gp_Dir2d(V));
 	  Standard_Real f = 0, l = PrevP.Distance(P1);
 	  Handle(Geom2d_TrimmedCurve) CT = new Geom2d_TrimmedCurve(C2d,f,l);
-	  TopoDS_Edge NE = BRepLib_MakeEdge(C2d,S);
+	  TopoDS_Edge NE = (TopoDS_Edge) BRepLib_MakeEdge(C2d,S);
 	  B.Degenerated(NE,Standard_True);
 	  B.Add(NE,V1.Oriented(TopAbs_FORWARD));
 	  B.Add(NE,V1.Oriented(TopAbs_REVERSED));
@@ -2578,7 +2578,7 @@ static void AddDegeneratedEdge(TopoDS_Face& F,
 	Handle(Geom2d_Line) C2d = new Geom2d_Line(P2,gp_Dir2d(V));
 	Standard_Real f = 0, l = P2.Distance(PF);
 	Handle(Geom2d_TrimmedCurve) CT = new Geom2d_TrimmedCurve(C2d,f,l);
-	TopoDS_Edge NE = BRepLib_MakeEdge(C2d,S);
+	TopoDS_Edge NE = (TopoDS_Edge) BRepLib_MakeEdge(C2d,S);
 	B.Degenerated(NE,Standard_True);
 	B.Add(NE,VF.Oriented(TopAbs_FORWARD));
 	B.Add(NE,VF.Oriented(TopAbs_REVERSED));
@@ -3166,7 +3166,7 @@ void CutEdgeProf (const TopoDS_Edge&                  E,
 	
 	VV = BRepLib_MakeVertex( C->Value(Param));
 	
-	TopoDS_Edge EE = BRepLib_MakeEdge(C,Vf,VV);
+	TopoDS_Edge EE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vf,VV);
 	EE.Orientation(E.Orientation());
 	if ( EE.Orientation() == TopAbs_FORWARD)
 	  Cuts.Append(EE);
@@ -3180,7 +3180,7 @@ void CutEdgeProf (const TopoDS_Edge&                  E,
     }
   }
 
-  TopoDS_Edge EE = BRepLib_MakeEdge(C,Vf,Vl);
+  TopoDS_Edge EE = (TopoDS_Edge) BRepLib_MakeEdge(C,Vf,Vl);
   EE.Orientation(E.Orientation());
   if ( EE.Orientation() == TopAbs_FORWARD)
     Cuts.Append(EE);
diff --git a/src/BRepFill/BRepFill_Filling.cxx b/src/BRepFill/BRepFill_Filling.cxx
index 018cef9..19d9f5e 100644
--- a/src/BRepFill/BRepFill_Filling.cxx
+++ b/src/BRepFill/BRepFill_Filling.cxx
@@ -520,7 +520,7 @@ void BRepFill_Filling::Build()
 	  Points(1) = gp_Pnt2d( U1, V1 );
 	  Points(2) = gp_Pnt2d( U2, V2 );
 	  Handle( Geom2d_BezierCurve ) Line2d = new Geom2d_BezierCurve( Points );
-	  TopoDS_Edge E = BRepLib_MakeEdge( Line2d, CurSurface, Line2d->FirstParameter(), Line2d->LastParameter() );
+	  TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge( Line2d, CurSurface, Line2d->FirstParameter(), Line2d->LastParameter() );
 	  Add( E, CurFace, myFreeConstraints(j).myOrder );
 	  PntSeq.Remove( i, i+1 );
 	  break;
@@ -622,7 +622,7 @@ void BRepFill_Filling::Build()
       Points(1) = gp_Pnt2d( U1, V1 );
       Points(2) = gp_Pnt2d( U2, V2 );
       Handle( Geom2d_BezierCurve ) Line2d = new Geom2d_BezierCurve( Points );
-      TopoDS_Edge E = BRepLib_MakeEdge( Line2d, Surface, Line2d->FirstParameter(), Line2d->LastParameter() );
+      TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge( Line2d, Surface, Line2d->FirstParameter(), Line2d->LastParameter() );
       
       B.UpdateVertex( TopExp::FirstVertex(E), dmax );
       B.UpdateVertex( TopExp::LastVertex(E), dmax );
diff --git a/src/BRepFill/BRepFill_NSections.cxx b/src/BRepFill/BRepFill_NSections.cxx
index e5112c2..aeeeb85 100644
--- a/src/BRepFill/BRepFill_NSections.cxx
+++ b/src/BRepFill/BRepFill_NSections.cxx
@@ -812,7 +812,7 @@ void BRepFill_NSections::Init(const TColStd_SequenceOfReal & P,
       = Handle(Geom_BSplineCurve)::DownCast(myLaws->Value(ii)->BSplineSurface()->VIso(V));
     Standard_Real first = Curve ->FirstParameter(),
     last = Curve ->LastParameter();
-    TopoDS_Edge E = BRepLib_MakeEdge(Curve,first,last);
+    TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge(Curve,first,last);
     MW.Add(E);
   }
   TopAbs_Orientation Orien = TopAbs_FORWARD;
diff --git a/src/BRepFill/BRepFill_OffsetWire.cxx b/src/BRepFill/BRepFill_OffsetWire.cxx
index 7adfa73..0538344 100644
--- a/src/BRepFill/BRepFill_OffsetWire.cxx
+++ b/src/BRepFill/BRepFill_OffsetWire.cxx
@@ -521,7 +521,7 @@ void BRepFill_OffsetWire::Perform (const Standard_Real Offset,
 	}
 	else {
 	  //cout << " 2 points " << endl;
-	  TopoDS_Edge newE = BRepLib_MakeEdge(Vf, Vl);
+	  TopoDS_Edge newE = (TopoDS_Edge) BRepLib_MakeEdge(Vf, Vl);
 	  aL.Append(newE);
 	}
 	//Update myMapSpine
@@ -1458,7 +1458,7 @@ void BRepFill_OffsetWire::FixHoles()
 	      if (IsFirstF) theEdge.Reverse();
 	      BB.Add( Base, theEdge );
 	      // Creating new edge from theVertex to Vf
-	      TopoDS_Edge NewEdge = BRepLib_MakeEdge( theVertex, Vf );
+	      TopoDS_Edge NewEdge = (TopoDS_Edge) BRepLib_MakeEdge( theVertex, Vf );
 	      BB.Add( Base, NewEdge );
 	    }
 	}
@@ -1496,7 +1496,7 @@ void BRepFill_OffsetWire::FixHoles()
 	      if (!IsFirstL) theEdge.Reverse();
 	      BB.Add( Base, theEdge );
 	      // Creating new edge from Vl to theVertex
-	      TopoDS_Edge NewEdge = BRepLib_MakeEdge( Vl, theVertex );
+	      TopoDS_Edge NewEdge = (TopoDS_Edge) BRepLib_MakeEdge( Vl, theVertex );
 	      BB.Add( Base, NewEdge );
 	    }
 	}
@@ -1525,7 +1525,7 @@ void BRepFill_OffsetWire::FixHoles()
 	  else if (Dist <= MaxTol)
 	    {
 	      // Creating new edge from Vl to Vf
-	      TopoDS_Edge NewEdge = BRepLib_MakeEdge( Vf, Vl );
+	      TopoDS_Edge NewEdge = (TopoDS_Edge) BRepLib_MakeEdge( Vf, Vl );
 	      BB.Add( Base, NewEdge );
 	      Base.Closed( Standard_True );
 	    }
@@ -1799,7 +1799,7 @@ void MakeCircle (const TopoDS_Edge&          E,
     = new  Geom2d_Circle(Axis, Abs(Offset), Offset < 0.);
 
   // Bind the edges in my Map.
-  TopoDS_Edge OE = BRepLib_MakeEdge(Circ, RefPlane);
+  TopoDS_Edge OE = (TopoDS_Edge) BRepLib_MakeEdge(Circ, RefPlane);
   TopTools_ListOfShape LL;
 
   LL.Append(OE);
@@ -1875,7 +1875,7 @@ void MakeOffset (const TopoDS_Edge&        E,
 
   // Bind the edges in my Map.
   if (!G2dOC.IsNull()) {
-    TopoDS_Edge OE = BRepLib_MakeEdge(G2dOC, RefPlane);
+    TopoDS_Edge OE = (TopoDS_Edge) BRepLib_MakeEdge(G2dOC, RefPlane);
     OE.Orientation(E.Orientation());
     TopTools_ListOfShape LL;
     LL.Append(OE);
diff --git a/src/BRepOffset/BRepOffset_Tool.cxx b/src/BRepOffset/BRepOffset_Tool.cxx
index c90a1b1..fda1793 100644
--- a/src/BRepOffset/BRepOffset_Tool.cxx
+++ b/src/BRepOffset/BRepOffset_Tool.cxx
@@ -751,7 +751,7 @@ void BRepOffset_Tool::PipeInter(const TopoDS_Face& F1,
     for (Standard_Integer i = 1; i <= Inter.NbLines(); i++) {
       CI = Inter.Line(i);
       if (ToSmall(CI)) continue;
-      TopoDS_Edge E = BRepLib_MakeEdge(CI);
+      TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge(CI);
       if (Inter.HasLineOnS1(i)) {
 	Handle(Geom2d_Curve) C2 = Inter.LineOnS1(i);
 	PutInBounds  (F1,E,C2);
@@ -2058,7 +2058,7 @@ void BRepOffset_Tool::InterOrExtent(const TopoDS_Face& F1,
       CI = Inter.Line(i);
       
       if (ToSmall(CI)) continue;
-      TopoDS_Edge E = BRepLib_MakeEdge(CI);
+      TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge(CI);
       BuildPCurves (E,F1);
       BuildPCurves (E,F2);
       OrientSection (E,F1,F2,O1,O2);
diff --git a/src/BRepTest/BRepTest_ExtremaCommands.cxx b/src/BRepTest/BRepTest_ExtremaCommands.cxx
index 58843a2..5aa913c 100644
--- a/src/BRepTest/BRepTest_ExtremaCommands.cxx
+++ b/src/BRepTest/BRepTest_ExtremaCommands.cxx
@@ -43,7 +43,7 @@ static Standard_Integer distance (Draw_Interpretor& di,
   if (!BRepExtrema_Poly::Distance(S1,S2,P1,P2,D)) return 1;
   //cout << " distance : " << D << endl;
   di << " distance : " << D << "\n";
-  TopoDS_Edge E = BRepLib_MakeEdge(P1,P2);
+  TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge(P1,P2);
   DBRep::Set("distance",E);
   return 0;
 }
@@ -81,7 +81,7 @@ static Standard_Integer distmini(Draw_Interpretor& di, Standard_Integer n, const
 	     P2 = (dst.PointOnShape2(i1));
              if (dst.Value()<=1.e-9) 
              {
-              TopoDS_Vertex V =BRepLib_MakeVertex(P1);
+              TopoDS_Vertex V = (TopoDS_Vertex) BRepLib_MakeVertex(P1);
               char namev[100];
               if (i1==1) 
 	      sprintf(namev, "%s" ,ns0);
@@ -92,7 +92,7 @@ static Standard_Integer distmini(Draw_Interpretor& di, Standard_Integer n, const
               }
              else
 	     {char name[100];
-              TopoDS_Edge E = BRepLib_MakeEdge (P1, P2);
+              TopoDS_Edge E = (TopoDS_Edge) BRepLib_MakeEdge (P1, P2);
 	      if (i1==1)
               {sprintf(name,"%s",ns0);}
               else {sprintf(name,"%s%d",ns0,i1);}
diff --git a/src/ChFi2d/ChFi2d_Builder.cxx b/src/ChFi2d/ChFi2d_Builder.cxx
index aae3a2a..b9ad01f 100644
--- a/src/ChFi2d/ChFi2d_Builder.cxx
+++ b/src/ChFi2d/ChFi2d_Builder.cxx
@@ -620,7 +620,7 @@ TopoDS_Edge ChFi2d_Builder::BuildNewEdge(const TopoDS_Edge& E1,
     makeEdge.Init(curve, NewExtr, lastVertex);  
   else 
     makeEdge.Init(curve, firstVertex, NewExtr);
-  TopoDS_Edge anEdge = makeEdge;
+  TopoDS_Edge anEdge = (TopoDS_Edge) makeEdge;
   anEdge.Orientation(E1.Orientation());
 //  anEdge.Location(E1.Location());
   makeEdge.Error();
diff --git a/src/ShapeFix/ShapeFix_Wire.cxx b/src/ShapeFix/ShapeFix_Wire.cxx
index edd9134..36346a2 100644
--- a/src/ShapeFix/ShapeFix_Wire.cxx
+++ b/src/ShapeFix/ShapeFix_Wire.cxx
@@ -1668,7 +1668,7 @@ static Standard_Boolean TryNewPCurve (const TopoDS_Edge &E, const TopoDS_Face &f
 
   if ( ! mkedge.IsDone() ) return Standard_False;
 
-  TopoDS_Edge edge = mkedge;
+  TopoDS_Edge edge = (TopoDS_Edge) mkedge;
   BRep_Builder B;
   B.UpdateEdge ( edge, c2d, face, 0. );
   B.Range ( edge, face, first, last );

-- 
OCE packaging



More information about the debian-science-commits mailing list